Package org.jboss.logmanager.formatters

## Interface FormatStep

    public interface FormatStep

A single format step which handles some part of rendering a log record.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`int` `estimateLength()` Emit an estimate of the length of data which this step will produce.
`default boolean` `isCallerInformationRequired()` Indicates whether or not caller information is required for this format step.
`void` `render​(java.lang.StringBuilder builder, ExtLogRecord record)` Render a part of the log record.

### Method Detail

#### render

    void render​(java.lang.StringBuilder builder,
                ExtLogRecord record)

Render a part of the log record.

Parameters:
  `builder` - the string builder to append to
  `record` - the record being rendered

#### estimateLength

    int estimateLength()

Emit an estimate of the length of data which this step will produce. The more accurate the estimate, the more likely the format operation will be performant.

Returns:
  an estimate

#### isCallerInformationRequired

    default boolean isCallerInformationRequired()

Indicates whether or not caller information is required for this format step.

Returns:
  `true` if caller information is required, otherwise `false`